C
C     VERSION
C
C     $Header: /users/polcher/CVSREP/IOIPSL/histcom.h,v 1.6 1998/03/19 18:40:41 polcher Exp $
C
C
      INTEGER nb_files_max, nb_var_max
      INTEGER buffsz_max
      INTEGER bufftmp_max
      PARAMETER (nb_files_max=7, nb_var_max=100)
c 120x90:
c 120x90      PARAMETER (buffsz_max = 7300000)
c 120x90      PARAMETER (bufftmp_max = 1500000)
c
c 72x45:
      PARAMETER (buffsz_max = 1900000)
      PARAMETER (bufftmp_max = 500000)
c
c 48x36:
c 48x36      PARAMETER (buffsz_max = 1600000)
c 48x36      PARAMETER (bufftmp_max = 300000)
c
c 36x24:
ccc      PARAMETER (buffsz_max = 700000)
ccc      PARAMETER (bufftmp_max = 100000)
c
      INTEGER nb_hax_max, nb_zax_max
      PARAMETER (nb_hax_max=5, nb_zax_max=10)

      REAL missing_val
      PARAMETER (missing_val = 1.e20)
      INTEGER nbopp_max
      PARAMETER (nbopp_max=10)
C
C     Time varibales
C
      INTEGER itau0(nb_files_max)
      REAL date0(nb_files_max), deltat(nb_files_max)
C
C     Counter of elements
C
      INTEGER nb_files, nb_var(nb_files_max), nb_tax(nb_files_max)
C
C     NETCDF ID's for files and axes
C
      INTEGER ncdf_ids(nb_files_max)
      INTEGER xid(nb_files_max), yid(nb_files_max)
      INTEGER tid(nb_files_max)
C
C     General definitions in the NETCDF file
C
      INTEGER full_size(nb_files_max,2)
      INTEGER slab_ori(nb_files_max,2)
      INTEGER slab_sz(nb_files_max,2)
C
C     The horizontal axes
C
      INTEGER nb_hax(nb_files_max)
      CHARACTER*25 hax_name(nb_files_max, nb_hax_max, 2)
C
C     The vertical axes
C
      INTEGER nb_zax(nb_files_max)
      INTEGER zax_size(nb_files_max, nb_zax_max)
      INTEGER zax_ids(nb_files_max, nb_zax_max)
      CHARACTER*20 zax_name(nb_files_max, nb_zax_max)
C
C     Informations on each varibale
C
      CHARACTER*20 name(nb_files_max, nb_var_max)
      CHARACTER*80 title(nb_files_max, nb_var_max)
      CHARACTER*20 unit(nb_files_max, nb_var_max)
      CHARACTER*80 fullop(nb_files_max, nb_var_max)
      INTEGER nbopp(nb_files_max, nb_var_max)
      CHARACTER*7 topp(nb_files_max, nb_var_max)
      CHARACTER*7 sopps(nb_files_max, nb_var_max, nbopp_max)
      REAL scal(nb_files_max, nb_var_max, nbopp_max)

      INTEGER size(nb_files_max,nb_var_max,3)
      INTEGER zorig(nb_files_max,nb_var_max,3)
      INTEGER zsize(nb_files_max,nb_var_max,3)

      INTEGER var_haxid(nb_files_max,nb_var_max)
      INTEGER var_zaxid(nb_files_max,nb_var_max)
      INTEGER var_axid(nb_files_max,nb_var_max)
      INTEGER ncvar_ids(nb_files_max,nb_var_max)

      REAL minmax(nb_files_max,nb_var_max,2)

      REAL freq_opp(nb_files_max,nb_var_max)
      REAL freq_wrt(nb_files_max,nb_var_max)

      INTEGER last_opp(nb_files_max,nb_var_max)
      INTEGER last_wrt(nb_files_max,nb_var_max)

      INTEGER last_opp_chk(nb_files_max,nb_var_max)
      INTEGER last_wrt_chk(nb_files_max,nb_var_max)

      INTEGER nb_opp(nb_files_max,nb_var_max)
      INTEGER nb_wrt(nb_files_max,nb_var_max)

      INTEGER point(nb_files_max,nb_var_max)
C
C     Book keeping for the buffers
C
      INTEGER buff_pos(nb_files_max)
      REAL buffer(buffsz_max, nb_files_max)
C
C     Book keeping of the axes
C
      INTEGER tdimid(nb_files_max,nb_var_max)
      CHARACTER*40 tax_name(nb_files_max,nb_var_max)
      INTEGER tax_last(nb_files_max,nb_var_max)
C
C
C
      COMMON /histcoi/ nb_files
      COMMON /histcom/ itau0, date0, deltat,
     &                  nb_var, nb_tax,
     &                  ncdf_ids, xid, yid, tid,
     &                  full_size, slab_ori, slab_sz,
     &                  name, title, unit, nbopp, topp, sopps, scal,
     &                  size, zorig, zsize, var_axid, var_zaxid, 
     &                  ncvar_ids, minmax, freq_opp, freq_wrt,
     &                  last_opp, last_wrt, last_opp_chk, last_wrt_chk,
     &                  nb_opp, nb_wrt, point, fullop,
     &                  buff_pos, buffer,
     &                  tdimid, tax_name, tax_last,
     &                  var_haxid, nb_hax, hax_name,
     &                  nb_zax, zax_size, zax_name, zax_ids




